def reflected_number(k):
    # Создаем словарь с парами цифр и их отражений
    reflections = {'0': '0', '1': '1', '2': '5', '3': '3', '4': '4', '5': '2', '6': '6', '7': '7', '8': '8', '9': '9'}

    # Преобразуем номер этажа k в строку
    k_str = str(k)

    # Инициализируем строку для отражения номера этажа в зеркале
    reflected_k_str = ''

    # Идем по каждой цифре в строке k_str и получаем её отражение (если возможно)
    for digit in k_str:
        if digit in reflections:
            reflected_k_str = reflections[digit] + reflected_k_str

    # Удаляем ведущие нули
    reflected_k_str = reflected_k_str.lstrip('0')

    if not reflected_k_str:  # Если отраженное число пусто (все цифры были недопустимыми)
        return '0'
    else:
        return reflected_k_str

k = int(input())  # Считываем номер этажа
result = reflected_number(k)

print(result)